# Coriolis Core (CRL) Documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

CRL::Catalog Member List

This is the complete list of members for CRL::Catalog, including all inherited members.

Catalog() | CRL::Catalog | inline
clear() | CRL::Catalog |
deleteState(const Name &name) | CRL::Catalog |
getState(const Name &name, bool add=false) | CRL::Catalog |
getStates() | CRL::Catalog | inline
loadFromFile(const string &path, Library *library) | CRL::Catalog |
mergeState(const Name &name, const State &other) | CRL::Catalog |
~Catalog() | CRL::Catalog |

Generated by doxygen 1.8.5 on Thu Mar 19 2020 | Return to top of page

Coriolis Core (CRL) | Copyright © 2008-2016 UPMC All rights reserved